Documents

The endpoint for the Documents dataset, including all documents available to your Quorum account.

Retrieve multiple documents based on search critera passed as GET Arguments

get/newdocument/
Securityapi_key and username
Request
query Parameters
created
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
created__year, created__month, created__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

date
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
date__year, date__month, date__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

date_time
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
date_time__year, date_time__month, date_time__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

document_subtype
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
document_subtype__in - The value for the record is in the provided array parameter (comma-separated values).
document_subtype__gt, document_subtype__gte, document_subtype__lt, document_subtype__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
document_subtype__isnull - The value for the record is null (if true) or is not null.

document_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
document_type__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name DocumentType, for an explanation of values.

Enum: 5 6 7 9 10 17 18 21 22 23 24 25 27 34 35 36 38 39 40 41 43 44 45 46 47 50 52 53 54 55 56 57 64 65 67 68 71 73 74 75 101 102 103 107 108 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1100 1101 1102 1103 1104 1105 1120 1121 1122 1140 1141 1150 1151 1152 1153
id
integer <int64>

Quorum ID (Primary Key)

is_retweet
boolean
language
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
language__in - The value for the record is in the provided array parameter (comma-separated values).
language__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Language, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 9000
original_language
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
original_language__in - The value for the record is in the provided array parameter (comma-separated values).
original_language__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Language, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 9000
region
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
region__in - The value for the record is in the provided array parameter (comma-separated values).
region__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Region, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 1000
source_committee_id
integer <int64>

The committee with which this document is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
source_committee__in - The value for the record is in the provided array parameter (comma-separated values).
source_committee__isnull - The value for the record is null (if true) or is not null.

source_person_id
integer <int64>

The newperson with which this document is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
source_person__in - The value for the record is in the provided array parameter (comma-separated values).
source_person__isnull - The value for the record is null (if true) or is not null.

source_public_organization_id
integer <int64>

The publicorganization with which this document is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
source_public_organization__in - The value for the record is in the provided array parameter (comma-separated values).
source_public_organization__isnull - The value for the record is null (if true) or is not null.

source_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
source_type__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name DocumentSourceType, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 100
updated
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
updated__year, updated__month, updated__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
content - expand content with additional details.
issue_area - expand issue_area with additional details.
journalists - expand journalists with additional details.
like_count - expand like_count with additional details.
raw_content - expand raw_content with additional details.
resource_uri - expand resource_uri with additional details.
snippets - expand snippets with additional details.
source_custom_organization - expand source_custom_organization with additional details.
source_name - expand source_name with additional details.
source_supporter - expand source_supporter with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "content" "issue_area" "journalists" "like_count" "raw_content" "resource_uri" "snippets" "source_custom_organization" "source_name" "source_supporter"
advanced_search
string

Perform an advanced text search on the datset with the provided text. This search will use the most comprehensive search method available on the requested endpoint, but can take slightly longer to return results.

limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

NewDocument retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "alert_cache": { },
  • "bill_mentions": [
    ],
  • "comment_count": 0,
  • "committee_meeting_id": "/api/newevent/1/",
  • "content": "",
  • "created": "2019-08-24T14:15:22Z",
  • "date": "2019-08-24T14:15:22Z",
  • "date_time": "2019-08-24T14:15:22Z",
  • "display_text": "string",
  • "document_subtype": 0,
  • "document_type": 5,
  • "event": "/api/newevent/1/",
  • "external_pk": "string",
  • "favorite_count": 0,
  • "fts_strip_level": 0,
  • "id": 0,
  • "is_retruth": false,
  • "is_retweet": false,
  • "issue_area": [
    ],
  • "journalists": [
    ],
  • "language": 1,
  • "language_pdf_urls": { },
  • "last_youtube_update": "2019-08-24T14:15:22Z",
  • "like_count": 0,
  • "organizations": [
    ],
  • "original_language": 1,
  • "original_sequences": [
    ],
  • "pdf_url": "string",
  • "position_in_record": 0,
  • "question_id": "string",
  • "raw_content": "",
  • "reference_id": "string",
  • "region": 1,
  • "regions": [
    ],
  • "related_event": 0,
  • "resource_uri": "string",
  • "retruth_count": 0,
  • "retruths_user": "string",
  • "retweet_count": 0,
  • "second_end": 0,
  • "second_start": 0,
  • "sequence": 0,
  • "share_count": 0,
  • "snippet": "string",
  • "snippets": [
    ],
  • "source_committee": "/api/committee/1/",
  • "source_custom_organization": 0,
  • "source_name": "string",
  • "source_person": "/api/newperson/1/",
  • "source_public_organization": "/api/publicorganization/1/",
  • "source_supporter": 0,
  • "source_type": 100,
  • "source_url": "string",
  • "speaker_full_name": "string",
  • "speaker_name": "string",
  • "summary": "string",
  • "title": "string",
  • "to_be_deprecated": true,
  • "truth_social_post_id": "string",
  • "truth_social_user_mentions": { },
  • "updated": "2019-08-24T14:15:22Z",
  • "view_count": 0,
  • "youtube_video_id": "string"
}

Retrieve information on a single Document

get/newdocument/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
content - expand content with additional details.
issue_area - expand issue_area with additional details.
journalists - expand journalists with additional details.
like_count - expand like_count with additional details.
raw_content - expand raw_content with additional details.
resource_uri - expand resource_uri with additional details.
snippets - expand snippets with additional details.
source_custom_organization - expand source_custom_organization with additional details.
source_name - expand source_name with additional details.
source_supporter - expand source_supporter with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "content" "issue_area" "journalists" "like_count" "raw_content" "resource_uri" "snippets" "source_custom_organization" "source_name" "source_supporter"
Responses
200

NewDocument retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "alert_cache": { },
  • "bill_mentions": [
    ],
  • "comment_count": 0,
  • "committee_meeting_id": "/api/newevent/1/",
  • "content": "",
  • "created": "2019-08-24T14:15:22Z",
  • "date": "2019-08-24T14:15:22Z",
  • "date_time": "2019-08-24T14:15:22Z",
  • "display_text": "string",
  • "document_subtype": 0,
  • "document_type": 5,
  • "event": "/api/newevent/1/",
  • "external_pk": "string",
  • "favorite_count": 0,
  • "fts_strip_level": 0,
  • "id": 0,
  • "is_retruth": false,
  • "is_retweet": false,
  • "issue_area": [
    ],
  • "journalists": [
    ],
  • "language": 1,
  • "language_pdf_urls": { },
  • "last_youtube_update": "2019-08-24T14:15:22Z",
  • "like_count": 0,
  • "organizations": [
    ],
  • "original_language": 1,
  • "original_sequences": [
    ],
  • "pdf_url": "string",
  • "position_in_record": 0,
  • "question_id": "string",
  • "raw_content": "",
  • "reference_id": "string",
  • "region": 1,
  • "regions": [
    ],
  • "related_event": 0,
  • "resource_uri": "string",
  • "retruth_count": 0,
  • "retruths_user": "string",
  • "retweet_count": 0,
  • "second_end": 0,
  • "second_start": 0,
  • "sequence": 0,
  • "share_count": 0,
  • "snippet": "string",
  • "snippets": [
    ],
  • "source_committee": "/api/committee/1/",
  • "source_custom_organization": 0,
  • "source_name": "string",
  • "source_person": "/api/newperson/1/",
  • "source_public_organization": "/api/publicorganization/1/",
  • "source_supporter": 0,
  • "source_type": 100,
  • "source_url": "string",
  • "speaker_full_name": "string",
  • "speaker_name": "string",
  • "summary": "string",
  • "title": "string",
  • "to_be_deprecated": true,
  • "truth_social_post_id": "string",
  • "truth_social_user_mentions": { },
  • "updated": "2019-08-24T14:15:22Z",
  • "view_count": 0,
  • "youtube_video_id": "string"
}